apiVersion: v1
kind: Service
metadata:
  labels:
    app.kubernetes.io/component: puppetserver-compilers
    app.kubernetes.io/instance: puppetserver
    app.kubernetes.io/name: puppetserver
    app.kubernetes.io/version: 8.8.0
  name: puppet-headless
  namespace: puppet
spec:
  clusterIP: None
  ports:
  - name: https
    port: 443
    protocol: TCP
    targetPort: 8140
  selector:
    app.kubernetes.io/component: puppetserver-compilers
    app.kubernetes.io/name: puppetserver
